Skip to main content
GET
List faculty activities for a profile

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

profile_id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: profile

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at, featured_at, id, start_date

filter[key]
string

Filter results. Available filters: key, external_id, external_id.neq, external_id.cont (case-insensitive substring match), external_id.in (comma-separated list), external_id.nin (comma-separated list), start_date, start_date.neq, start_date.lt, start_date.lte, start_date.gt, start_date.gte, end_date, end_date.neq, end_date.lt, end_date.lte, end_date.gt, end_date.gte, profile.

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

faculty activities found

data
object[]
required
meta
object